Skip to content
Browse files

Merge branch 'develop'

  • Loading branch information...
2 parents 7b59fe1 + 9d3aa97 commit 01a36639c052a7be6f403a7d548f2e591e7a2471 @mikel mikel committed Dec 10, 2012
Showing with 32 additions and 42 deletions.
  1. +3 −1 .gitignore
  2. +0 −2 .rspec
  3. +1 −8 Gemfile
  4. +0 −31 Gemfile.lock
  5. +1 −0 Manifest.txt
  6. +27 −0 switchvox.gemspec
View
4 .gitignore
@@ -1,2 +1,4 @@
pkg
-.rvmrc
+.rivmrc
+.rspec
+Gemfile.lock
View
2 .rspec
@@ -1,2 +0,0 @@
---color
---format progress
View
9 Gemfile
@@ -1,9 +1,2 @@
source :rubygems
-
-group :test do
- gem 'rake', '~> 10.0'
- gem 'rspec', '~> 2.12'
- gem 'ffaker', '~> 1.15'
- gem 'webmock', '~> 1.9'
- gem 'hoe', '>= 3.3'
-end
+gemspec
View
31 Gemfile.lock
@@ -1,31 +0,0 @@
-GEM
- remote: http://rubygems.org/
- specs:
- addressable (2.3.2)
- crack (0.3.1)
- diff-lcs (1.1.3)
- ffaker (1.15.0)
- hoe (3.3.1)
- rake (>= 0.8, < 11.0)
- rake (10.0.1)
- rspec (2.12.0)
- rspec-core (~> 2.12.0)
- rspec-expectations (~> 2.12.0)
- rspec-mocks (~> 2.12.0)
- rspec-core (2.12.0)
- rspec-expectations (2.12.0)
- diff-lcs (~> 1.1.3)
- rspec-mocks (2.12.0)
- webmock (1.9.0)
- addressable (>= 2.2.7)
- crack (>= 0.1.7)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- ffaker (~> 1.15)
- hoe (>= 3.3)
- rake (~> 10.0)
- rspec (~> 2.12)
- webmock (~> 1.9)
View
1 Manifest.txt
@@ -14,3 +14,4 @@ script/destroy
script/generate
spec/spec_helper.rb
spec/switchvox/base_spec.rb
+switchvox.gemspec
View
27 switchvox.gemspec
@@ -0,0 +1,27 @@
+Gem::Specification.new do |spec|
+ spec.name = 'switchvox'
+ spec.version = '0.1.0'
+ spec.platform = Gem::Platform::Ruby
+ spec.summary = 'An interface with Switchvox API'
+ spec.require_path = ['lib']
+ spec.files = %w[
+ Gemfile
+ History.txt
+ Manifest.txt
+ README.rdoc
+ Rakefile
+ lib/switchvox.rb
+ lib/switchvox/base.rb
+ lib/switchvox/net_http_digest_auth.rb
+ script/console
+ script/destroy
+ script/generate
+ spec/spec_helper.rb
+ spec/switchvox/base_spec.rb
+ switchvox.gemspec
+ ]
+ spec.add_development_dependency('rake', '~> 10.0')
+ spec.add_development_dependency('rspec', '~> 2.12')
+ spec.add_development_dependency('ffaker', '~> 1.15')
+ spec.add_development_dependency('webmock', '~> 1.9')
+end

0 comments on commit 01a3663

Please sign in to comment.
Something went wrong with that request. Please try again.